## Name

vfs_commit — flush dirty data at specified intervals

## Synopsis

`vfs objects = commit`

## DESCRIPTION

This VFS module is part of the samba(7) suite.

The `vfs_commit` VFS module keeps track of the amount of data written to a file and synchronizes it to disk when a specified amount accumulates.

`vfs_commit` is useful in two circumstances. First, if you have very precious data, the impact of unexpected power loss can be minimized by a small commit:dthresh value. Secondly, write performance can be improved on some systems by flushing file data early and at regular intervals.

This module is stackable.

## OPTIONS

commit:dthresh = BYTES

  Synchronize file data each time the specified number of bytes has been written.

  The following suffixes may be applied to BYTES:

  - `K` - BYTES is a number of kilobytes

  - `M` - BYTES is a number of megabytes

  - `G` - BYTES is a number of gigabytes

## EXAMPLES

Synchronize the file data on the [precious] share after every 512 kilobytes (524288 bytes) of data is written:

            [precious]
    	path = /data/precious
    	vfs objects = commit
    	commit:dthresh = 512K

## CAVEATS

On some systems, the data synchronization performed by `commit` may reduce performance.

## VERSION

This man page is correct for version 3.0.25 of the Samba suite.

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.